package convert;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * Simple class with a single main method which reads line by line from the
 * console input and converts each line into an integer which is shown onto the
 * console right away. If the line read is not an integer, zero is printed.
 *
 * @author Liviu Tudor http://about.me/liviutudor
 */
public class ConvertStringSimple {
    /** Value shown if the input string is not an integer. */
    public static final int    DEFAULT_VALUE = 0;

    /** Expected "command" to exit program. */
    public static final String EXIT_CMD      = "q";

    /**
     * Program entry point.
     *
     * @param arg
     *            Command-line arguments. Ignored.
     */
    public static void main(String arg[]) {
        try {
            BufferedReader rdr = new BufferedReader(new InputStreamReader(System.in));
            String line;
            while ((line = rdr.readLine()) != null) {
                // read a line at a time and convert it in-place
                // if exit command then simply exit
                if (EXIT_CMD.equalsIgnoreCase(line)) {
                    System.exit(0);
                }
                try {
                    System.out.println(Integer.parseInt(line));
                } catch (NumberFormatException e) {
                    System.out.println(DEFAULT_VALUE);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(1); // boo!
        }
    }
}
