package convert.oop;

/**
 * Simple transformation which tries to parse the input string as an integer,
 * and if it fails parsing it (wrong format?) it returns an integer with value
 * zero (0).
 *
 * @author Liviu Tudor http://about.me/liviutudor
 */
public class StringToIntTransformer implements Transformer<String, Integer> {
    /**
     * {@inheritDoc}
     * <p>
     * Uses <code>Integer.parseInt(String)</code> to return the value.
     */
    @Override
    public Integer transform(String input) {
        try {
            return Integer.valueOf(input);
        } catch (Exception e) {
            return 0;
        }
    }
}
