package convert.oop;

/**
 * Simple interface for a "transformer". A transformer takes one type of data
 * and converts it into another type.
 *
 * @author Liviu Tudor http://about.me/liviutudor
 */
public interface Transformer<T, V> {
    /**
     * The actual transform operation.
     *
     * @param input
     *            Data to be transformed
     * @return Transformed data.
     */
    V transform(T input);
}
